DROP SCHEMA(7)

NAME
DROP SCHEMA - remove a schema

SYNOPSIS

DROP SCHEMA name [, ...] [ CASCADE | RESTRICT ]

  INPUTS

name
    The name of a schema.

CASCADE
    Automatically drop objects (tables, functions, etc) that are contained in the schema.

RESTRICT
    Refuse to drop the schema if it contains any objects. This is the default.

  OUTPUTS

DROP SCHEMA
    The message returned if the schema is successfully dropped.

ERROR: Schema "name" does not exist
    This message occurs if the specified schema does not exist.

DESCRIPTION

DROP SCHEMA removes schemas from the data base.

A schema can only be dropped by its owner or a superuser. Note that the owner can drop the schema (and thereby all contained objects) even if he does not own some of the objects within the schema.

  NOTES

Refer to the CREATE SCHEMA statement for information on how to create a schema.

USAGE

To remove schema mystuff from the database, along with everything it contains:

DROP SCHEMA mystuff CASCADE;

COMPATIBILITY

  SQL92

DROP SCHEMA is fully compatible with SQL92, except that the standard only allows one schema to be dropped per command.